## /*   bcnu.inc,v 1.12 1999/12/14 12:29:35 jap Exp
#
# *    Copyright (c) 1998 John Phillips
# *
# *    You may distribute under the terms of the Artistic License
# *
# */
#
require "dotsh.pl";

dotsh("/usr/local/bcnu/etc/bcnuenv");

######################## Should not require to change below here #############

$BUILD='1.12';
$VERSIONDATE='1999/12/14 12:29:35';

$QRYLIMIT=50;			# default number of records returned for a query
$LASTTIME=.2;  			# About 3 hours
$IGNOREPAT='net-.+';	# Don't show net subagents e.g. net.ftp in main
$PERLINE=8;		# hosts per line to show

# external web server
if ( $ENV{'BCNUVERSION'}) {
        $VERSION= $ENV{'BCNUVERSION'};
        }
else    {
	open (VERSION, "$BCNUHOME/etc/bcnu_version") || die ("version file problem");
	$VERSION=<VERSION>;
	chop $VERSION;
	close (VERSION);
	}

$WWW="$BCNUHOME/www";
$DATA="$BCNUHOME/data";
$VIEWHOME="$BCNUHOME/etc";

$BASECELL="";
$BASEROW="ALIGN=CENTER BGCOLOR=#ffff80";

$WARNCELL="BGCOLOR=#c0c0c0";
$CELL=$BASECELL;
$ECELL="BGCOLOR=#FF8080";
$BLACKCELL="BGCOLOR=#000000";
$IGNORECELL="BGCOLOR=#FF00FF";
$BGCELL="ALIGN=CENTER BGCOLOR=#8080FF";
#$DEFCELL="$BGCELL WIDTH=50";
$DEFCELL="$BGCELL";

$RED="#FF0000";
$GREEN="#008000";
$ORANGE="#FF8000";
$VIOLET="#FF00FF";

$SAD="<IMG BORDER=0 WIDTH=14 HEIGHT=14 SRC=$BCNUURL/images/bcsad.gif";
$WORRY="<IMG BORDER=0 WIDTH=14 HEIGHT=14 SRC=$BCNUURL/images/bcworry.gif";
$NORMAL="<IMG BORDER=0 WIDTH=14 HEIGHT=14 SRC=$BCNUURL/images/bcsmiley.gif";
$ATTACH="<IMG BORDER=0 WIDTH=19 HEIGHT=16 SRC=$BCNUURL/images/bcatt.gif";
$HISTRY="<IMG BORDER=0 WIDTH=17 HEIGHT=17 SRC=$BCNUURL/images/bchist.gif";
$IMGIGNORE="<IMG BORDER=0 SRC=$BCNUURL/images/bcignore.gif";

$DEFBG="#ffffff";
#$SIREN="<BGSOUND SRC=\"$BCNUURL/sounds/alert.wav\" LOOP=INFINITE>\n";
#$SIREN.="<EMBED SRC=\"$BCNUURL/sounds/alert.wav\" HIDDEN=TRUE AUTOSTART=TRUE LOOP=TRUE>\n";
#$WARNSND="<BGSOUND SRC=\"$BCNUURL/sounds/warning.wav\" LOOP=INFINITE>\n";
#$WARNSND.="<EMBED SRC=\"$BCNUURL/sounds/warning.wav\" HIDDEN=TRUE AUTOSTART=TRUE LOOP=TRUE>\n";

( $sec,$min,$hr,$mday,$mon,$yr,$rest ) = (localtime());
$mon++;

# Y2k stuff
$yy=19;
$yy=20 unless $yr > 70;
$yrs=$yr + 1900;

$now=sprintf("%2.2d/%2.2d/%4.4d %2.2d.%2.2d",$mday,$mon,$yrs,$hr,$min);

push (@INC,"$BCNUHOME/cgi-bin");

%bcnu_status = (0,"ok",1,"blackout",5,"warning",6,"alert",9,"error");
%bcnu_host_type = (0,"Unspecified",1,"Unix",2,"Netware",3,"WinNT",4,"Win95",20,"Router",30,"Printer");
$def_host_type=1;

return 1;
